/**
*SystemLog App
* Implement an App to show system log
*/
var SystemLogApp = SystemLogApp || {};  //Define System Log App namespace.
/**
*Constructor UNAS App
*/
SystemLogApp.App = function () {
    this.id = 'System Log';
    this.name = 'System Log';
    this.version = '6.0.14';
    this.active = false;
    this.menuIcon = '/apps/systemlog/images/logo.png?v=6.0.14&';
    this.shortcutIcon = '/apps/systemlog/images/logo.png?v=6.0.14&';
    this.entryUrl = '/apps/systemlog/systemlog_log.html?v=6.0.14&';
    //this.entryHelpUrl = '/apps/systemlog/systemlog_log_help.html?v=6.0.14&';
    var self = this;
    this.SystemLogAppWindow = function () { //create app window
        if(UNAS.CheckAppState('System Log')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'SystemLogAppWindow',
            title: UNAS._('System Log'),
            icon: '/apps/systemlog/images/logo_small.png?v=6.0.14&',
            width: 880,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/systemlog/systemlog_log.html?v=6.0.14&',
            require: {  css: ['/apps/systemlog/css/systemlog.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("System Log",'SystemLogAppWindow')}
        });
    };
    this.SystemLogUninstall = function () {
        UNAS.RemoveDesktopShortcut('System Log');
        UNAS.RemoveMenu('System Log');
        UNAS.RemoveAppFromGroups('System Log', 'ControlPanel');
        UNAS.RemoveAppFromGroups('System Log', 'Help');
        UNAS.RemoveAppFromApps('System Log');
    };
    new UNAS.Menu('UNAS_ControlPanel_Information_Menu', this.name, this.menuIcon, 'System Log', '', this.SystemLogAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'System Log', this.SystemLogAppWindow);
    new UNAS.RegisterToAppGroup(this.name,"ControlPanel",{"Type" : "Information", 'Location' : 3, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name,"Help",{"Type" : "Information", 'Location' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('System Log', UNAS._('System Log')); //translate menu
        //UNAS.SetShortcutTitle('System Log', UNAS._('System Log'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('SystemLogAppWindow', UNAS._('System Log'));
        }
    };
    UNAS.LoadTranslation('/apps/systemlog/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.SystemLogAppWindow, this.SystemLogUninstall);
};
new SystemLogApp.App();
